--- tzselect.ksh.orig	2009-01-14 23:35:17.000000000 +0100
+++ tzselect.ksh	2009-01-28 16:03:33.000000000 +0100
@@ -1,4 +1,4 @@
-#! /bin/ksh
+#! /bin/bash
 
 VERSION='@(#)tzselect.ksh	8.2'
 
--- Makefile.orig	2009-01-14 23:35:15.000000000 +0100
+++ Makefile	2009-01-28 16:04:04.000000000 +0100
@@ -34,17 +34,17 @@ POSIXRULES=	America/New_York
 
 # Everything gets put in subdirectories of. . .
 
-TOPDIR=		/usr/local
+TOPDIR=		${DESTDIR}/usr
 
 # "Compiled" time zone information is placed in the "TZDIR" directory
 # (and subdirectories).
 # Use an absolute path name for TZDIR unless you're just testing the software.
 
-TZDIR=		$(TOPDIR)/etc/zoneinfo
+TZDIR=		$(TOPDIR)/share/zoneinfo
 
 # The "tzselect", "zic", and "zdump" commands get installed in. . .
 
-ETCDIR=		$(TOPDIR)/etc
+ETCDIR=		$(TOPDIR)/sbin
 
 # If you "make INSTALL", the "date" command gets installed in. . .
 
@@ -52,7 +52,7 @@ BINDIR=		$(TOPDIR)/bin
 
 # Manual pages go in subdirectories of. . .
 
-MANDIR=		$(TOPDIR)/man
+MANDIR=		$(TOPDIR)/share/man
 
 # Library functions are put in an archive in LIBDIR.
 
@@ -218,7 +218,7 @@ zic=		./zic
 ZIC=		$(zic) $(ZFLAGS)
 
 # The name of a Posix-compliant `awk' on your system.
-AWK=		nawk
+AWK=		awk
 
 # The path where SGML DTDs are kept.
 SGML_SEARCH_PATH= $(TOPDIR)/share/doc/sgml-lib/REC-html401-19991224/
@@ -285,9 +285,9 @@ install:	all $(DATA) $(REDO) $(TZLIB) $(
 			-d $(TZDIR) -l $(LOCALTIME) -p $(POSIXRULES)
 		-rm -f $(TZDIR)/iso3166.tab $(TZDIR)/zone.tab
 		cp iso3166.tab zone.tab $(TZDIR)/.
-		-mkdir $(TOPDIR) $(ETCDIR)
+		-mkdir -p $(TOPDIR) $(ETCDIR)
 		cp tzselect zic zdump $(ETCDIR)/.
-		-mkdir $(TOPDIR) $(MANDIR) \
+		-mkdir -p $(TOPDIR) $(MANDIR) \
 			$(MANDIR)/man3 $(MANDIR)/man5 $(MANDIR)/man8
 		-rm -f $(MANDIR)/man3/newctime.3 \
 			$(MANDIR)/man3/newtzset.3 \
@@ -300,9 +300,9 @@ install:	all $(DATA) $(REDO) $(TZLIB) $(
 		cp tzselect.8 zdump.8 zic.8 $(MANDIR)/man8/.
 
 INSTALL:	ALL install date.1
-		-mkdir $(TOPDIR) $(BINDIR)
+		-mkdir -p $(TOPDIR) $(BINDIR)
 		cp date $(BINDIR)/.
-		-mkdir $(TOPDIR) $(MANDIR) $(MANDIR)/man1
+		-mkdir -p $(TOPDIR) $(MANDIR) $(MANDIR)/man1
 		-rm -f $(MANDIR)/man1/date.1
 		cp date.1 $(MANDIR)/man1/.
 
@@ -332,9 +332,9 @@ right_only:	zic leapseconds $(TDATA)
 # You must replace all of $(TZDIR) to switch from not using leap seconds
 # to using them, or vice versa.
 other_two:	zic leapseconds $(TDATA)
-		$(ZIC) -y $(YEARISTYPE) -d $(TZDIR)-posix -L /dev/null $(TDATA)
+		$(ZIC) -y $(YEARISTYPE) -d $(TZDIR)/posix -L /dev/null $(TDATA)
 		$(ZIC) -y $(YEARISTYPE) \
-			-d $(TZDIR)-leaps -L leapseconds $(TDATA)
+			-d $(TZDIR)/leaps -L leapseconds $(TDATA)
 
 posix_right:	posix_only other_two
 
@@ -343,7 +343,7 @@ right_posix:	right_only other_two
 zones:		$(REDO)
 
 $(TZLIB):	$(LIBOBJS)
-		-mkdir $(TOPDIR) $(LIBDIR)
+		-mkdir -p $(TOPDIR) $(LIBDIR)
 		ar ru $@ $(LIBOBJS)
 		if [ -x /usr/ucb/ranlib -o -x /usr/bin/ranlib ] ; \
 			then ranlib $@ ; fi
